############################
## STAGES
############################

stages:
  - release

############################
## JOBS
############################

create-release:
  stage: release
  image: registry.gitlab.com/gitlab-org/release-cli:latest
  script: echo "💥 Creating release v$CI_COMMIT_TAG"
  release:
    tag_name: $CI_COMMIT_TAG
    description: "💥 [RELEASE] Release $CI_COMMIT_TAG of components $CI_PROJECT_PATH"

############################
## WORKFLOW
############################

workflow:
  name: ${PIPELINE_NAME}
  rules:
    - if: $CI_COMMIT_TAG =~ /^[0-9]+\.[0-9]+\.[0-9]+$/
      variables:
        PIPELINE_NAME: 💥 [RELEASE] Release $CI_COMMIT_TAG
    - when: never
